# slotSubscribe

(Subscription Websocket) Subscribe to receive notification anytime a slot is processed by the validator.

This method will use `20` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

None.

## Returns

`result` The result will be an RpcResponse JSON object with id equal to the subscription id (needed to unsubscribe).

`Notification Format:` The notification format is the same as seen in the getAccountInfo RPC HTTP method

* `parent` The parent slot.
* `root` The current root slot.
* `slot` The newly set slot.

```bash
// Result
{ "jsonrpc": "2.0", "result": 0, "id": 1 }
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>wscat -c wss://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE>
</strong># wait for connection
{"id":1,"jsonrpc":"2.0","method": "slotSubscribe" }
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
wscat -c wss://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE>
# wait for connection
{"id":1,"jsonrpc":"2.0","method": "slotSubscribe" }
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/websocket-stable-methods/slotsubscribe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
